Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Rund um AutoCAD
  Kann man XREF's von der Auswahl ausschließen?

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Kann man XREF's von der Auswahl ausschließen? (3344 mal gelesen)
joern bosse
Ehrenmitglied
Dipl.-Ing. Vermessung


Sehen Sie sich das Profil von joern bosse an!   Senden Sie eine Private Message an joern bosse  Schreiben Sie einen Gästebucheintrag für joern bosse

Beiträge: 1649
Registriert: 11.10.2004

erstellt am: 27. Mrz. 2013 13:02    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo,
gibt es eine Möglichkeit, daß Xref's nicht selektiert werden können, aber trotzdem für Konstruktionen die Objektfänge bei den XREF-Objekten nutzbar sind?

Hintergrund: Wenn auf umfangreichen Grundrisszeichnungen Details draufgezeichnet werden sollen, dann ist es nervig, wenn man aus versehen mit der Maus auf das XREF klickt oder bei der Auswahl von Zeichnungsobjekten ausversehen das XREF mit auswählt.

Ich bin wie immer für jeden Tipp dankbar.

------------------
viele Grüße

Jörn
http://www.bosse-engineering.com

Koordinatenausgabe Youtube

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADchup
Ehrenmitglied V.I.P. h.c.




Sehen Sie sich das Profil von CADchup an!   Senden Sie eine Private Message an CADchup  Schreiben Sie einen Gästebucheintrag für CADchup

Beiträge: 3307
Registriert: 14.03.2001

Sicher ist, dass nichts sicher ist. Selbst das nicht.
Joachim Ringelnatz

erstellt am: 27. Mrz. 2013 13:15    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für joern bosse 10 Unities + Antwort hilfreich

Hi,

Einfügelayer sperren wäre's nicht? 


Gruß
CADchup

------------------
CADmaro.de

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

joern bosse
Ehrenmitglied
Dipl.-Ing. Vermessung


Sehen Sie sich das Profil von joern bosse an!   Senden Sie eine Private Message an joern bosse  Schreiben Sie einen Gästebucheintrag für joern bosse

Beiträge: 1649
Registriert: 11.10.2004

erstellt am: 27. Mrz. 2013 14:04    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo CADchup,
nee, das reicht nicht. Ich kann dann zwar das XREF nicht ausversehen verändern, schieben oder so, aber es wird trotzdem als selektiert dargestellt, und genau das stört mich.

------------------
viele Grüße

Jörn
http://www.bosse-engineering.com

Koordinatenausgabe Youtube

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Bernd P
Ehrenmitglied V.I.P. h.c.
cook-general



Sehen Sie sich das Profil von Bernd P an!   Senden Sie eine Private Message an Bernd P  Schreiben Sie einen Gästebucheintrag für Bernd P

Beiträge: 3056
Registriert: 07.06.2001

AMD A8-3870, W10-64bit, 16GB RAM, HP DJ T2300mfp, Maus:G700s, Sub:Infrastructure Design Suite, Excel 2013,

erstellt am: 02. Apr. 2013 11:36    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für joern bosse 10 Unities + Antwort hilfreich

servus,

objekt auf defpoints und defpoints sperren

------------------
<----- Bitte Systeminfo eintragen, warum siehst du hier. "Warum Einfach es geht auch kompliziert". Schöne Grüsse aus der Steiermark  Bernd P. Sport ist Mord
Rekorde: Scalelist>11727, Fehler>34365, Layerfilter>XXXX

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

joern bosse
Ehrenmitglied
Dipl.-Ing. Vermessung


Sehen Sie sich das Profil von joern bosse an!   Senden Sie eine Private Message an joern bosse  Schreiben Sie einen Gästebucheintrag für joern bosse

Beiträge: 1649
Registriert: 11.10.2004

erstellt am: 02. Apr. 2013 11:49    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Bernd,
das hat bei mir auch nicht funktioniert, das XREF kann trotzdem gepickt oder per Fenster selektiert werden, und wird dann auch wieder wie ein selktiertes Objekt gestrichelt dargestellt. Das wäre aber interessant, ob Du das vielleicht anders gemacht hast als ich oder ob wir uns mißverstanden haben.
Ich habe den Layer "Defpoints" erstellt, das XREF draufgelegt und dann den Layer "Defpoints" gesperrt.

------------------
viele Grüße

Jörn
http://www.bosse-engineering.com

Koordinatenausgabe Youtube

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Bernd P
Ehrenmitglied V.I.P. h.c.
cook-general



Sehen Sie sich das Profil von Bernd P an!   Senden Sie eine Private Message an Bernd P  Schreiben Sie einen Gästebucheintrag für Bernd P

Beiträge: 3056
Registriert: 07.06.2001

AMD A8-3870, W10-64bit, 16GB RAM, HP DJ T2300mfp, Maus:G700s, Sub:Infrastructure Design Suite, Excel 2013,

erstellt am: 02. Apr. 2013 12:07    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für joern bosse 10 Unities + Antwort hilfreich

servus

"defpoints" nicht erstellen sondern einfach eine Bemassung erstellen das system erstellt automatisch defpoints mit spezialoption bzw. kannst du versuchen eine Bemassung erstellen und ob defpoints umgewandelt wird.

btw. finde ichs schade das autodesk diese nicht unwichtige Feature einbaut. Wer auch interessant ob man das mit lisp vba mit anderen Layer reproduzieren kann.

------------------
<----- Bitte Systeminfo eintragen, warum siehst du hier. "Warum Einfach es geht auch kompliziert". Schöne Grüsse aus der Steiermark  Bernd P. Sport ist Mord
Rekorde: Scalelist>11727, Fehler>34365, Layerfilter>XXXX

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cad4fun
Ehrenmitglied



Sehen Sie sich das Profil von cad4fun an!   Senden Sie eine Private Message an cad4fun  Schreiben Sie einen Gästebucheintrag für cad4fun

Beiträge: 1838
Registriert: 06.12.2004

privat ACAD 2013 und 2017 deutsch, Windows 7 64Bit
HP Elite 7500 Series MT,Intel Cote i5-3470 CPU 3,20Ghz,16GB RAM

erstellt am: 02. Apr. 2013 12:48    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für joern bosse 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von Bernd P:
servus

"defpoints" nicht erstellen sondern einfach eine Bemassung erstellen das system erstellt automatisch defpoints mit spezialoption bzw. kannst du versuchen eine Bemassung erstellen und ob defpoints umgewandelt wird.

BTW. finde ichs schade das autodesk diese nicht unwichtige Feature einbaut. Wer auch interessant ob man das mit lisp vba mit anderen Layer reproduzieren kann.


Das nützt doch auch nichts (ACAD2012)
Ob das ein wichtiges Feature ist möchte ich auch dahingestellt lassen. Ich finde auf Anhieb viele viel wichtigere Dinge, die geändert gehören.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

jupa
Ehrenmitglied V.I.P. h.c.
ehemals CAD-Trainer (ATC) und Konstrukteur (Dipl.-Ing)


Sehen Sie sich das Profil von jupa an!   Senden Sie eine Private Message an jupa  Schreiben Sie einen Gästebucheintrag für jupa

Beiträge: 5758
Registriert: 16.09.2004

Windows 7 64bit, ACAD Rel. 14 - ACAD 2020

erstellt am: 02. Apr. 2013 14:23    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für joern bosse 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von Bernd P:

"defpoints" nicht erstellen sondern einfach eine Bemassung erstellen das system erstellt automatisch defpoints mit spezialoption

einem Layer mit dem Namen DEFPOINTS (und genau! diesem) ist es egal, ob er händisch oder von einem Bemaßungsbefehl automatisch angelegt wurde. Ich habe bisher jedenfalls noch keine Unterschiede bemerken können.
Und: dieser Layer ist eigentlich für autocad-interne Zwecke vorgesehen. Der Anwender sollte dort gar keine Objekte ablegen.

Jürgen

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

joern bosse
Ehrenmitglied
Dipl.-Ing. Vermessung


Sehen Sie sich das Profil von joern bosse an!   Senden Sie eine Private Message an joern bosse  Schreiben Sie einen Gästebucheintrag für joern bosse

Beiträge: 1649
Registriert: 11.10.2004

erstellt am: 02. Apr. 2013 16:14    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Bernd,
ich habe nochmal die Variante "erst Bemassung, dann Xref auf Defpoint-Layer", auch ohne Erfolg. Ich denke, es geht nicht. Desweiteren hat Jürgen dann aber auch recht, daß man diesen Layer nicht verwenden sollte (das hätte auch nicht in meine XREF-Layer-Namensstruktur gepasst).
Ich danke Euch aber für die Rückmeldungen.

------------------
viele Grüße

Jörn
http://www.bosse-engineering.com

Koordinatenausgabe Youtube

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Bernd P
Ehrenmitglied V.I.P. h.c.
cook-general



Sehen Sie sich das Profil von Bernd P an!   Senden Sie eine Private Message an Bernd P  Schreiben Sie einen Gästebucheintrag für Bernd P

Beiträge: 3056
Registriert: 07.06.2001

AMD A8-3870, W10-64bit, 16GB RAM, HP DJ T2300mfp, Maus:G700s, Sub:Infrastructure Design Suite, Excel 2013,

erstellt am: 02. Apr. 2013 16:39    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für joern bosse 10 Unities + Antwort hilfreich

servus,

Habe es nur mit einer Linie versucht und der Layer "0" muss auch ausgeschaltet sein (zufall das es bei der Zeichnung so war) mit xref funktioniert es nicht und auch nur mit Blöcken deren Inhalt auf "0" liegen hier die quelle http://ww3.cad.de/foren/ubb/Forum54/HTML/029889.shtml#000001

@cad4fun "Ich finde auf Anhieb viele viel wichtigere Dinge, die geändert gehören." das war auch nicht die frage...
@jupa wenn etwas so ein einzigartige eigenschaft hat warum "sollte" man es nicht verwenden wenn man es brauchen kann?
btw. ich tus eh nicht da die variante beschaulich in der Anwendung ist (drum wusste ich es nicht mehr genau) aber vielleicht kanns wer brauchen.

------------------
<----- Bitte Systeminfo eintragen, warum siehst du hier. "Warum Einfach es geht auch kompliziert". Schöne Grüsse aus der Steiermark  Bernd P. Sport ist Mord
Rekorde: Scalelist>11727, Fehler>34365, Layerfilter>XXXX

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

jupa
Ehrenmitglied V.I.P. h.c.
ehemals CAD-Trainer (ATC) und Konstrukteur (Dipl.-Ing)


Sehen Sie sich das Profil von jupa an!   Senden Sie eine Private Message an jupa  Schreiben Sie einen Gästebucheintrag für jupa

Beiträge: 5758
Registriert: 16.09.2004

Windows 7 64bit, ACAD Rel. 14 - ACAD 2020

erstellt am: 02. Apr. 2013 17:34    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für joern bosse 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von Bernd P:

@jupa wenn etwas so ein einzigartige eigenschaft hat warum "sollte" man es nicht verwenden wenn man es brauchen kann?


Von welcher einzigartigen Eigenschaft ist denn nun die Rede? Das Verhindern des "Ausleuchtens" bei (versehentlicher) Auswahl kann es ja wohl nicht sein. Das funktioniert, soweit ich es mitbekommen habe bei niemandem - auch bei mir nicht (allerdings nur in 2013 getestet).

Jürgen

[Diese Nachricht wurde von jupa am 02. Apr. 2013 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADmium
Moderator
Maschinenbaukonstrukteur




Sehen Sie sich das Profil von CADmium an!   Senden Sie eine Private Message an CADmium  Schreiben Sie einen Gästebucheintrag für CADmium

Beiträge: 13413
Registriert: 30.11.2003

Hinweis: Meine Mitarbeit auf CAD.DE ist fakultativ, unentgeltlich und beruht nur auf einem ausgeprägtem Helfersyndrom.

erstellt am: 02. Apr. 2013 17:49    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für joern bosse 10 Unities + Antwort hilfreich

Zur Ausgangsfrage : nur ne Idee ...
vlr-miscellaneous-reactor und :vlr-pickfirstModified  .... und wenn der Reaktor feuert ...die aktuelle Auswahl mit ssgetfirst checken ... xrefs rauswerfen und Auswahlsatz mit sssetfirst wieder setzen ( dabei ein Flag setzen , das die checkfunktion nicht nochmal anspringt) .......

------------------
Also ich finde Unities gut ... und andere sicher auch
---------------------------------------
  - Thomas -          
"Bei 99% aller Probleme ist die umfassende Beschreibung des Problems bereits mehr als die Hälfte der Lösung desselben."

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Cadzia
Ehrenmitglied V.I.P. h.c.
CAD/Grafik-Dienstleister



Sehen Sie sich das Profil von Cadzia an!   Senden Sie eine Private Message an Cadzia  Schreiben Sie einen Gästebucheintrag für Cadzia

Beiträge: 2885
Registriert: 02.07.2004

AutoCAD 2020 + MAP
Bricscad V19 pro

erstellt am: 02. Apr. 2013 18:08    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für joern bosse 10 Unities + Antwort hilfreich

Hallo Jörn,

kleine eine Idee als Workaround:
Am Rande der Xref einen Punkt oder Linie setzen, so dass sie weit über die eigentliche Zeichnung hinausragt. Die Objektauswahl dann stehts per Fenster oder Fensterpolygon (und nicht kreuenfenster), so wird sie auch nicht mit ausgewählt.
Banal - aber funktioniert 

------------------
Grüße Karin

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CAD-Huebner
Ehrenmitglied V.I.P. h.c.
Verm.- Ing., ATC-Trainer



Sehen Sie sich das Profil von CAD-Huebner an!   Senden Sie eine Private Message an CAD-Huebner  Schreiben Sie einen Gästebucheintrag für CAD-Huebner

Beiträge: 9553
Registriert: 01.12.2003

AutoCAD 2.5 - 2017, Civil 3D, MAP 3D, LDD, MDT, ARD
Inventor AIP 4-201x
Win7x64, Win 10

erstellt am: 02. Apr. 2013 18:46    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für joern bosse 10 Unities + Antwort hilfreich

Nach meinen Test funktioniert das Nichtwählen von Xrefs dann, wenn
der Layer "0" gefroren ist und gleichzeitig das Xref auf Layer "Defpoints" eingefügt ist.

Siehe auch hier:
http://forums.augi.com/showthread.php?56493-Cannot-select-anything-on-defpoints-layer

------------------
Mit freundlichem Gruß

Udo Hübner
www.CAD-Huebner.de

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

joern bosse
Ehrenmitglied
Dipl.-Ing. Vermessung


Sehen Sie sich das Profil von joern bosse an!   Senden Sie eine Private Message an joern bosse  Schreiben Sie einen Gästebucheintrag für joern bosse

Beiträge: 1649
Registriert: 11.10.2004

erstellt am: 02. Apr. 2013 19:01    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo,
ich habe mich mal mit CADmiums Idee befasst, und ich glaube, daß ist eine passable Lösung. (Ich habe anstelle des Xref's erstmal Linien genommen zum testen -> die kann man dann nicht mehr auswählen )
Code:

(vl-load-com)
(if (not *JB:vlr-miscellaneous-reactor*)
  (setq *JB:vlr-miscellaneous-reactor*
        (vlr-miscellaneous-reactor
          nil
          '((:vlr-pickfirstModified . JB:vlr-pickfirstModified)
            ))))

(defun JB:vlr-pickfirstModified (A B / )
  (if(not *JB:vlr-pickfirstModified:Flag*)
    (if(setq *JB:vlr-pickfirstModified:aws* (cadr(ssgetfirst)))
      (progn
        (setq n 0)
        (repeat (sslength *JB:vlr-pickfirstModified:aws*)
          (if (= (cdr(assoc 0 (entget
                      (ssname *JB:vlr-pickfirstModified:aws* n))))
                "LINE")
            (progn
              (ssdel (ssname *JB:vlr-pickfirstModified:aws* n)
                    *JB:vlr-pickfirstModified:aws*)
              (setq *JB:vlr-pickfirstModified:Flag* 'T)
              (setq n (- n 1))))
          (setq n (+ n 1)))
        (if *JB:vlr-pickfirstModified:Flag*
          (sssetfirst *JB:vlr-pickfirstModified:aws*
            *JB:vlr-pickfirstModified:aws*))))
    (setq *JB:vlr-pickfirstModified:Flag* nil))
     
  )


@Karin: auf so einen Workaround kann ich leider nicht zurückgreifen, weil ich ja nicht selber in den Zeichnungen arbeite. Und es soll eine dauerhafte Lösung sein, also nicht nur ein Einzelfall.

------------------
viele Grüße

Jörn
http://www.bosse-engineering.com

Koordinatenausgabe Youtube

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

jupa
Ehrenmitglied V.I.P. h.c.
ehemals CAD-Trainer (ATC) und Konstrukteur (Dipl.-Ing)


Sehen Sie sich das Profil von jupa an!   Senden Sie eine Private Message an jupa  Schreiben Sie einen Gästebucheintrag für jupa

Beiträge: 5758
Registriert: 16.09.2004

Windows 7 64bit, ACAD Rel. 14 - ACAD 2020

erstellt am: 02. Apr. 2013 21:04    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für joern bosse 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von CAD-Huebner:
Nach meinen Test funktioniert das Nichtwählen von Xrefs dann, wenn
der Layer "0" gefroren ist und gleichzeitig das Xref auf Layer "Defpoints" eingefügt ist.


Wenn ich eine XREF (oder beliebige andere Objekte) auf dem Layer DEFPOINTS einfüge, (egal ob selbiger gesperrt ist oder nicht) und den Layer 0 friere, läßt sich die XREF zwar nicht mehr wählen und markieren, aber spätestens nach einem "regen" sind alle auf dem defpoints-Layer liegenden Objekte völlig vom Bildschirm verschwunden (ACAD 2013). Kann jemand dieses Verhalten bestätigen? Meine Konfusion ist nun komplett.

Jürgen

[Diese Nachricht wurde von jupa am 02. Apr. 2013 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Bernd P
Ehrenmitglied V.I.P. h.c.
cook-general



Sehen Sie sich das Profil von Bernd P an!   Senden Sie eine Private Message an Bernd P  Schreiben Sie einen Gästebucheintrag für Bernd P

Beiträge: 3056
Registriert: 07.06.2001

AMD A8-3870, W10-64bit, 16GB RAM, HP DJ T2300mfp, Maus:G700s, Sub:Infrastructure Design Suite, Excel 2013,

erstellt am: 03. Apr. 2013 11:45    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für joern bosse 10 Unities + Antwort hilfreich

servus, ja kann ich bestätigen und liegt auch wohl daran das es so nicht von autodesk berücksichtigt/beabsichtigt wird und es zu nebenwirkungen kommen kann.

@joern bosse coole sache also könnte man sich einen Schalter bauen Xref nicht selektierbar/selektierbar
Edit mit "insert" kann man dann auch keine normalen Blöcke mehr wählen

------------------
<----- Bitte Systeminfo eintragen, warum siehst du hier. "Warum Einfach es geht auch kompliziert". Schöne Grüsse aus der Steiermark  Bernd P. Sport ist Mord
Rekorde: Scalelist>11727, Fehler>34365, Layerfilter>XXXX

[Diese Nachricht wurde von Bernd P am 03. Apr. 2013 editiert.]

[Diese Nachricht wurde von Bernd P am 03. Apr. 2013 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

joern bosse
Ehrenmitglied
Dipl.-Ing. Vermessung


Sehen Sie sich das Profil von joern bosse an!   Senden Sie eine Private Message an joern bosse  Schreiben Sie einen Gästebucheintrag für joern bosse

Beiträge: 1649
Registriert: 11.10.2004

erstellt am: 03. Apr. 2013 16:44    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Bernd,
ja, das ist eine tolle Möglichkeit. Du kannst ja auch die Einfügelayer oder sonstwelche Eigenschaften mit einbinden, z.B. Blöcke mit dem Namen "MeinBlock" auf dem Layer "XY" ...

Man sollte es sicherlich nicht übertreiben und immer einen Knopf parat haben um das wieder abzuschalten (sonst kommen wieder ganz viele Rückmeldungen, daß AutoCAD kaputt ist  .


------------------
viele Grüße

Jörn
http://www.bosse-engineering.com

Koordinatenausgabe Youtube

[Diese Nachricht wurde von joern bosse am 03. Apr. 2013 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Bernd P
Ehrenmitglied V.I.P. h.c.
cook-general



Sehen Sie sich das Profil von Bernd P an!   Senden Sie eine Private Message an Bernd P  Schreiben Sie einen Gästebucheintrag für Bernd P

Beiträge: 3056
Registriert: 07.06.2001

AMD A8-3870, W10-64bit, 16GB RAM, HP DJ T2300mfp, Maus:G700s, Sub:Infrastructure Design Suite, Excel 2013,

erstellt am: 09. Apr. 2013 10:42    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für joern bosse 10 Unities + Antwort hilfreich

Servus,

noch ein Ansatz über Ansichtsfenster Arbeiten

1. Ansichtsfenster erstellen
2. Ansichtsfenster sperren
3. Objekte die nur angezeigt werden sollen ins Layout legen.

Nachteil der Objektfang mag nicht

@joern bosse würde es gerne über Layer bzw. Einfügelayer ohne Objekteinschränkung machen könntest du den Code so anpassen *liebschau*

ps.: deine Lösung ist so der hammer da sie beim neu schliessen verschwindet

------------------
<----- Bitte Systeminfo eintragen, warum siehst du hier. "Warum Einfach es geht auch kompliziert". Schöne Grüsse aus der Steiermark  Bernd P. Sport ist Mord
Rekorde: Scalelist>11727, Fehler>34365, Layerfilter>XXXX

[Diese Nachricht wurde von Bernd P am 09. Apr. 2013 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

joern bosse
Ehrenmitglied
Dipl.-Ing. Vermessung


Sehen Sie sich das Profil von joern bosse an!   Senden Sie eine Private Message an joern bosse  Schreiben Sie einen Gästebucheintrag für joern bosse

Beiträge: 1649
Registriert: 11.10.2004

erstellt am: 09. Apr. 2013 17:47    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Bernd,
aber nur kurz auf die Schnelle, die Zeit läuft heute mal wieder anders als geplant ;-)


folgendes Austauschen:

Code:

(if (= (cdr(assoc 0 (entget
                      (ssname *JB:vlr-pickfirstModified:aws* n))))
                "LINE")

gegen (1 Layer)

Code:

(if (= (cdr(assoc 8 (entget
                      (ssname *JB:vlr-pickfirstModified:aws* n))))
                "MeinLayer")

[/code]

oder gegen (2 und mehr Layer)

Code:

(if (member (strcase(cdr(assoc 8 (entget
                      (ssname *JB:vlr-pickfirstModified:aws* n)))))
                '("MeinLayer1" "MeinLayer2" "MeinLayer3")

Sollte eigentlich funktionieren.

Zitat:
ps.: deine Lösung ist so der hammer da sie beim neu schliessen verschwindet

Der Code muss natürlich geladen sein, vielleicht über acaddoc.lsp oder AutoStartGruppe

------------------
viele Grüße

Jörn
http://www.bosse-engineering.com

Koordinatenausgabe Youtube

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

joern bosse
Ehrenmitglied
Dipl.-Ing. Vermessung


Sehen Sie sich das Profil von joern bosse an!   Senden Sie eine Private Message an joern bosse  Schreiben Sie einen Gästebucheintrag für joern bosse

Beiträge: 1649
Registriert: 11.10.2004

Window 8.1
ACAD 2012-2019
CIVIL 2012 - 2019
BricsCAD V14-V18
Intel(R) Core(TM)i5-8250U CPU @ 1.60GHz 1.80 GHz
16.0GB RAM
NVIDIA GeForce GTX 1050

erstellt am: 22. Mai. 2013 15:04    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo,
ich möchte das Thema nochmal aufwärmen,habe jetzt endlich Zeit dafür gefunden, aber es gibt noch ein Problem:

http://ww3.cad.de/foren/ubb/Forum54/HTML/030020.shtml#000014

Mit dem Beispiel kann ich verhindern, das Linien selektiert werden, aber, wie auch schon der Name des Events ":vlr-pickfirstModified" sagt, nur wenn ich vor einem Befehl versuche Objekte zu selektieren.

Gibt es eine globale Möglichkeit, daß ich auf die selektierten Objekte nach dem Starten eines Befehls zugreifen kann? (z.B. Befehl "Schieben")  

------------------
viele Grüße

Jörn
http://www.bosse-engineering.com

Koordinatenausgabe Youtube

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADmium
Moderator
Maschinenbaukonstrukteur




Sehen Sie sich das Profil von CADmium an!   Senden Sie eine Private Message an CADmium  Schreiben Sie einen Gästebucheintrag für CADmium

Beiträge: 13413
Registriert: 30.11.2003

Hinweis: Meine Mitarbeit auf CAD.DE ist fakultativ, unentgeltlich und beruht nur auf einem ausgeprägtem Helfersyndrom.

erstellt am: 22. Mai. 2013 15:07    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für joern bosse 10 Unities + Antwort hilfreich

commandreaktor und dann mit ssgetfirst testen ???

------------------
Also ich finde Unities gut ... und andere sicher auch
---------------------------------------
  - Thomas -          
"Bei 99% aller Probleme ist die umfassende Beschreibung des Problems bereits mehr als die Hälfte der Lösung desselben."

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

joern bosse
Ehrenmitglied
Dipl.-Ing. Vermessung


Sehen Sie sich das Profil von joern bosse an!   Senden Sie eine Private Message an joern bosse  Schreiben Sie einen Gästebucheintrag für joern bosse

Beiträge: 1649
Registriert: 11.10.2004

erstellt am: 22. Mai. 2013 16:02    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Thomas,
ich glaube ich verstehe es nicht, oder ich habe mich unglücklich ausgedrückt:
Folgendes Beispiel:
Befehl: Schieben
(:VLR-commandWillStart) (ssgetfirst) => (nil nil)
Befehl: Objekte wählen
(:VLR-commandEnded) (ssgetfirst) => (nil nil)

Wenn ich den Schieben Befehl aufrufe wird das CommandWillStart-Event gestartet, ich habe aber noch keine Objekte ausgewählt. Dann wähle ich die Objekte aus (auch z.B. die Linie, die ich nicht selektierbar haben möchte) und bestätige mit ENTER. Der Schieben-Befehl wird mit den ausgewählten Objekten durchgeführt, und erst dann startet das commandEnded-Event.

Habe ich das einen Gedankenfehler??

------------------
viele Grüße

Jörn
http://www.bosse-engineering.com

Koordinatenausgabe Youtube

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Bernd P
Ehrenmitglied V.I.P. h.c.
cook-general



Sehen Sie sich das Profil von Bernd P an!   Senden Sie eine Private Message an Bernd P  Schreiben Sie einen Gästebucheintrag für Bernd P

Beiträge: 3056
Registriert: 07.06.2001

AMD A8-3870, W10-64bit, 16GB RAM, HP DJ T2300mfp, Maus:G700s, Sub:Infrastructure Design Suite, Excel 2013,

erstellt am: 16. Jul. 2014 16:53    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für joern bosse 10 Unities + Antwort hilfreich

Jörn kam da ein bisschen durcheinander dann klappt es auch mit mehreren Layern

Code:
          (if (member (cdr(assoc 8 (entget
                      (ssname *JB:vlr-pickfirstModified:aws* n))))
                '("X  900 Xref" "_X Fremdleitungen"))

Hat wer einen Tipp für mich wie ich das mit einem Platzhalter machen kann?
Alle Layer mit z.B. "X  9*" enthalten sollen gesperrt werden.


Und hier ist es mit wcmatch funktioniert es schon. Einfach nopick beim Layer schreiben und es klappt schon.

Code:
(vl-load-com)
(if (not *JB:vlr-miscellaneous-reactor*)
  (setq *JB:vlr-miscellaneous-reactor*
        (vlr-miscellaneous-reactor
          nil
          '((:vlr-pickfirstModified . JB:vlr-pickfirstModified)
            ))))
(defun JB:vlr-pickfirstModified (A B / )
  (if(not *JB:vlr-pickfirstModified:Flag*)
    (if(setq *JB:vlr-pickfirstModified:aws* (cadr(ssgetfirst)))
      (progn
        (setq n 0)
        (repeat (sslength *JB:vlr-pickfirstModified:aws*)
          (if (wcmatch (cdr(assoc 8 (entget
                      (ssname *JB:vlr-pickfirstModified:aws* n))))
                "*nopick*") ;
            (progn
              (ssdel (ssname *JB:vlr-pickfirstModified:aws* n)
                    *JB:vlr-pickfirstModified:aws*)
              (setq *JB:vlr-pickfirstModified:Flag* 'T)
              (setq n (- n 1))))
          (setq n (+ n 1)))
        (if *JB:vlr-pickfirstModified:Flag*
          (sssetfirst *JB:vlr-pickfirstModified:aws*
            *JB:vlr-pickfirstModified:aws*))))
    (setq *JB:vlr-pickfirstModified:Flag* nil))
)


------------------
<----- Bitte Systeminfo eintragen, warum siehst du hier. "Warum Einfach es geht auch kompliziert". Schöne Grüsse aus der Steiermark  Bernd P. Sport ist Mord
Rekorde: Scalelist>11727, Fehler>34365, Layerfilter>XXXX

[Diese Nachricht wurde von Bernd P am 16. Jul. 2014 editiert.]

[Diese Nachricht wurde von Bernd P am 16. Jul. 2014 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 19237
Registriert: 03.06.2002

System: F1
und Google

erstellt am: 17. Jul. 2014 09:17    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für joern bosse 10 Unities + Antwort hilfreich

Hier habe ich mal einen Toggle eingebaut (Befehlsaufruf schaltet Reaktor Ein/Aus)
ACHTUNG: Layername ist hier zu vorherigem Beispielcode geändert <..nicht das man beim testen verzweifelt     >

Code:

; NoPrePick - Layerabhängig Pickfirst steuern ;
; verhindert die Objektwahl ohne aktivem Befehl auf bestimmten Layern. ;
; (bei aktivem Befehl sind die Objekte normal wählbar) ;

; Beispiel Reactor für "Objekte auf bestimmtem Layer nicht pickbar ;
; http://ww3.cad.de/foren/ubb/Forum54/HTML/030020.shtml#000023 ;


(defun c:NoPrePick ()
 
(vl-load-com)
 
  (defun JB:vlr-pickfirstModified (A B / )
  (if(not *JB:vlr-pickfirstModified:Flag*)
    (if(setq *JB:vlr-pickfirstModified:aws* (cadr(ssgetfirst)))
      (progn
        (setq n 0)
        (repeat (sslength *JB:vlr-pickfirstModified:aws*)
          (if (wcmatch (strcase(cdr(assoc 8 (entget(ssname *JB:vlr-pickfirstModified:aws* n)))))
                       (strcase
                                 "*NoPrePick*" ; Layername / Filter | | Wildcards siehe Acadhilfe zu "wcmatch"
                                 ; "0,Einfügelayer,Layer1-3,*ARC_*" - Beispielfilter
                                 ; "PDF_Layer" - Beispielfilter
                               )
                      )
            (progn
              (ssdel (ssname *JB:vlr-pickfirstModified:aws* n)
                    *JB:vlr-pickfirstModified:aws*)
              (setq *JB:vlr-pickfirstModified:Flag* 'T)
              (setq n (- n 1))))
          (setq n (+ n 1)))
        (if *JB:vlr-pickfirstModified:Flag*
          (sssetfirst *JB:vlr-pickfirstModified:aws*
            *JB:vlr-pickfirstModified:aws*))))
    (setq *JB:vlr-pickfirstModified:Flag* nil))
)

 
  (if *JB:vlr-miscellaneous-reactor*
      (progn
        (vlr-remove *JB:vlr-miscellaneous-reactor*)
        (setq *JB:vlr-pickfirstModified:aws* nil
              *JB:vlr-pickfirstModified:Flag* nil
              *JB:vlr-miscellaneous-reactor* nil
        )
        (princ "\nNoPrePick AUSgeschaltet")
      )
      (progn
        (setq *JB:vlr-miscellaneous-reactor*
            (vlr-miscellaneous-reactor nil
                 '((:vlr-pickfirstModified . JB:vlr-pickfirstModified))
            )
        )
        (princ "\nNoPrePick EINgeschaltet")
     )
  )
 
(princ)
);_defun


------------------
CAD on demand GmbH - Beratung und Programmierung rund um AutoCAD

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2019 CAD.de | Impressum | Datenschutz